## org.omg.CORBA
Class PolicyErrorHelper

    java.lang.Object
      |
      +--org.omg.CORBA.PolicyErrorHelper

public class PolicyErrorHelper
extends java.lang.Object

Helper class for : PolicyError

Author:
  OpenORB Compiler

Constructor Summary
`PolicyErrorHelper()`

Method Summary
`static PolicyError` `extract(Any a)` Extract PolicyError from an any
`static java.lang.String` `id()` Return the PolicyError IDL ID
`static void` `insert(Any a, PolicyError t)` Insert PolicyError into an any
`static PolicyError` `read(InputStream istream)` Read PolicyError from a marshalled stream
`static TypeCode` `type()` Return the PolicyError TypeCode
`static void` `write(OutputStream ostream, PolicyError value)` Write PolicyError into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PolicyErrorHelper

    public PolicyErrorHelper()

Method Detail

### insert

    public static void insert(Any a,
                              PolicyError t)

  Insert PolicyError into an any
  Parameters:
    `a` - an any
    `t` - PolicyError value

### extract

    public static PolicyError extract(Any a)

  Extract PolicyError from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted PolicyError value

### type

    public static TypeCode type()

  Return the PolicyError TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the PolicyError IDL ID
  Returns:
    an ID

### read

    public static PolicyError read(InputStream istream)

  Read PolicyError from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed PolicyError value

### write

    public static void write(OutputStream ostream,
                             PolicyError value)

  Write PolicyError into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - PolicyError value